#line 370 "/home/dodo/tmp/mudesk-1.0/desk/desk.u"
#ifndef desk_h_included_eoreorieorie
#define desk_h_included_eoreorieorie
#line 11 "/home/dodo/tmp/mudesk-1.0/desk/desk.u"

enum { ICO_SHOR, ICO_FILE, ICO_DIRE, ICO_LINK };

typedef struct
{
  uint32_t type;
  uint32_t x,y;           // position
  uint32_t w,h;
  uint32_t *ico; // rendered icon & text  
  char *cmd;         // command line to be executed
  char *fn;          // desktop file name within ~/Desktop
  uint32_t mtime;      // modtime for the above

  unsigned char *encoded;
  uint32_t encoded_l;
} deskicon_t;

#line 408 "/home/dodo/tmp/mudesk-1.0/desk/desk.u"

typedef struct
{
  int type;
  char *name;
  uint32_t mtime;
  int aux1, aux2;
} deskfile_t;

#line 32 "desk.h"

void write_desk_file(char *fn);
int read_desk_file(char *fn);
int scan_desktop_dir(char *dn, int *Rnfil, deskfile_t ***Rfil);
deskfile_t *stat_file(char *fn);
void deskicon_free(deskicon_t *ic);
void deskfile_free(deskfile_t *fi);
#line 376 "/home/dodo/tmp/mudesk-1.0/desk/desk.u"
extern size_t      n_icons;
extern deskicon_t **icons;
#endif
