#!/usr/bin/perl

use strict;
use warnings;

my $i;
my @files;
my $count;
my $cmd;

$count= 0;

my $dir = '../images';

opendir(DIR, $dir) or die $!;

while (my $file = readdir(DIR)) {

# We only want files
next unless (-f "$dir/$file");

# Use a regular expression to find files ending in .png
next unless ($file =~ m/\.png$/);

  $files[$count]= $file;
  $count++;
}

closedir(DIR);

for($i=0;$i<$count;$i++)
{
  printf("static const unsigned char I_%d[]={\n",$i);
  $cmd= "t2c.hex " . $dir . "/" . $files[$i];
  system($cmd);
  printf("};\n");
}

printf("static builtin_image_t images[]= {\n");
for($i=0;$i<$count;$i++)
{
  printf("{ \":%s\", I_%d, sizeof(I_%d) },\n", $files[$i], $i,$i);
}
printf("{ NULL, NULL,0}\n");
printf("};\n");


exit 0;
