typedef struct cfg_file_type {
  char* icon; char G_icon;
  char* command; char G_command;
  char* *extensions; int N_extensions; int S_extensions;
} cfg_file_type_t;
typedef struct cfg_menu_style {
  int hilight; char G_hilight;
  int fgcolor; char G_fgcolor;
  int bgcolor; char G_bgcolor;
  char* font_name; char G_font_name;
  int font_size; char G_font_size;
  int pad_mid; char G_pad_mid;
  int pad_ver; char G_pad_ver;
  int pad_hor; char G_pad_hor;
} cfg_menu_style_t;
typedef struct cfg_desk {
  cfg_menu_style_t menu_style;
  int drag_threshold; char G_drag_threshold;
  int double_click_threshold; char G_double_click_threshold;
  char* background_image; char G_background_image;
  int foreground; char G_foreground;
  char* font_name; char G_font_name;
  int font_size; char G_font_size;
  int max_width; char G_max_width;
  int icon_size; char G_icon_size;
  int pad_mid; char G_pad_mid;
  char* file_manager; char G_file_manager;
  char* directory_icon; char G_directory_icon;
  cfg_file_type_t *file_type; int N_file_type; int S_file_type;
  char* *icon_path; int N_icon_path; int S_icon_path;
} cfg_desk_t;
char *cfg_parse_desk(char *fn, cfg_desk_t *obj);
char *cfg_write_desk(char *fn, cfg_desk_t *obj);
