#!/bin/sh

PKG=mudesk-1.0

function cpsrc()
{
  bsd-licence-add '2016 Şükrü Çınar' $1 $PKG
}

rm -Rf $PKG
mkdir $PKG

cpsrc ./build/bfont.h
cpsrc ./build/bfont.c
cpsrc ./build/config.h
cpsrc ./build/config.c
cpsrc ./build/desk.h
cpsrc ./build/desk.c
cpsrc ./build/graymap.h
cpsrc ./build/graymap.c
cpsrc ./build/image.h
cpsrc ./build/image.c
cpsrc ./desk/main.h
cpsrc ./desk/main.c
cpsrc ./desk/menu.h
cpsrc ./desk/menu.c
cpsrc ./build/mklist.h
cpsrc ./build/mklist.c
cpsrc ./imports/mprintf.h
cpsrc ./imports/mprintf.c
cpsrc ./imports/pngio.h
cpsrc ./imports/pngio.c
cpsrc ./imports/ptrbuf.h
cpsrc ./imports/ptrbuf.c
cpsrc ./build/rect.h
cpsrc ./build/rect.c
cpsrc ./imports/resize_image.h
cpsrc ./imports/resize_image.c
cpsrc ./desk/retarded.h
cpsrc ./desk/retarded.c
cpsrc ./imports/txtren.h
cpsrc ./imports/txtren.c
cpsrc ./build/window.h
cpsrc ./build/window.c
cpsrc ./desk/x11iface.h
cpsrc ./desk/x11iface.c

cp  ./data/build.sh  $PKG
cp  ./imports/COPYING $PKG

rm *.bz2
tar cjf $PKG.tar.bz2 $PKG
rm -Rf $PKG

